Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class KeyWrapAlgorithm

    java.lang.Object
      org.mozilla.jss.crypto.Algorithm
          org.mozilla.jss.crypto.KeyWrapAlgorithm

    public class KeyWrapAlgorithm

extends Algorithm

Field Summary
`static KeyWrapAlgorithm` | `AES_CBC`
`static KeyWrapAlgorithm` | `AES_CBC_PAD`
`static KeyWrapAlgorithm` | `AES_ECB`
`static KeyWrapAlgorithm` | `DES_CBC`
`static KeyWrapAlgorithm` | `DES_CBC_PAD`
`static KeyWrapAlgorithm` | `DES_ECB`
`static KeyWrapAlgorithm` | `DES3_CBC`
`static KeyWrapAlgorithm` | `DES3_CBC_PAD`
`static KeyWrapAlgorithm` | `DES3_ECB`
`static KeyWrapAlgorithm` | `PLAINTEXT`
`static KeyWrapAlgorithm` | `RC2_CBC_PAD`
`static KeyWrapAlgorithm` | `RSA`

Fields inherited from class org.mozilla.jss.crypto.Algorithm
`CKM_AES_CBC, CKM_AES_CBC_PAD, CKM_AES_ECB, CKM_AES_KEY_GEN, CKM_DES_CBC_PAD, CKM_DES_KEY_GEN, CKM_DES3_CBC_PAD, CKM_DES3_ECB, CKM_DES3_KEY_GEN, CKM_DSA_KEY_PAIR_GEN, CKM_EC_KEY_PAIR_GEN, CKM_PBA_SHA1_WITH_SHA1_HMAC, CKM_RC2_CBC_PAD, CKM_RC2_KEY_GEN, CKM_RC4_KEY_GEN, CKM_RSA_PKCS_KEY_PAIR_GEN, CKM_SHA_1_HMAC, oid, oidIndex, SEC_OID_ANSIX9_DSA_SIGNATURE, SEC_OID_ANSIX9_DSA_SIGNATURE_WITH_SHA1_DIGEST, SEC_OID_ANSIX962_EC_PUBLIC_KEY, SEC_OID_ANSIX962_ECDSA_SHA1_SIGNATURE, SEC_OID_ANSIX962_ECDSA_SHA256_SIGNATURE, SEC_OID_ANSIX962_ECDSA_SHA384_SIGNATURE, SEC_OID_ANSIX962_ECDSA_SHA512_SIGNATURE, SEC_OID_DES_CBC, SEC_OID_DES_ECB, SEC_OID_DES_EDE3_CBC, SEC_OID_HMAC_SHA256, SEC_OID_HMAC_SHA384, SEC_OID_HMAC_SHA512, SEC_OID_MD2, SEC_OID_MD5, SEC_OID_PKCS1_MD2_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_MD5_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA1_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA256_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA384_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA512_WITH_RSA_ENCRYPTION, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC2_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC4, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_3KEY_TRIPLE_DES_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC2_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC4, SEC_OID_PKCS5_PBE_WITH_MD2_AND_DES_CBC, SEC_OID_PKCS5_PBE_WITH_MD5_AND_DES_CBC, SEC_OID_PKCS5_PBE_WITH_SHA1_AND_DES_CBC, SEC_OID_RC2_CBC, SEC_OID_RC4, SEC_OID_SHA1, SEC_OID_SHA256, SEC_OID_SHA384, SEC_OID_SHA512`

Constructor Summary
`protected` | `KeyWrapAlgorithm(int oidTag, java.lang.String name, java.lang.Class[] paramClasses, boolean padded, int blockSize)`
`protected` | `KeyWrapAlgorithm(int oidTag, java.lang.String name, java.lang.Class paramClass, boolean padded, int blockSize)`

Method Summary
`static KeyWrapAlgorithm` | `fromString(java.lang.String name)`
`int` | `getBlockSize()`
`boolean` | `isPadded()`

Methods inherited from class org.mozilla.jss.crypto.Algorithm
`getParameterClass, getParameterClasses, isValidParameterObject, toOID, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DES_ECB

    public static final KeyWrapAlgorithm DES_ECB

### DES_CBC

    public static final KeyWrapAlgorithm DES_CBC

### DES_CBC_PAD

    public static final KeyWrapAlgorithm DES_CBC_PAD

### DES3_ECB

    public static final KeyWrapAlgorithm DES3_ECB

### DES3_CBC

    public static final KeyWrapAlgorithm DES3_CBC

### DES3_CBC_PAD

    public static final KeyWrapAlgorithm DES3_CBC_PAD

### RSA

    public static final KeyWrapAlgorithm RSA

### PLAINTEXT

    public static final KeyWrapAlgorithm PLAINTEXT

### AES_ECB

    public static final KeyWrapAlgorithm AES_ECB

### AES_CBC

    public static final KeyWrapAlgorithm AES_CBC

### AES_CBC_PAD

    public static final KeyWrapAlgorithm AES_CBC_PAD

### RC2_CBC_PAD

    public static final KeyWrapAlgorithm RC2_CBC_PAD

Constructor Detail

### KeyWrapAlgorithm

    protected KeyWrapAlgorithm(int oidTag,
                               java.lang.String name,
                               java.lang.Class paramClass,
                               boolean padded,
                               int blockSize)

### KeyWrapAlgorithm

    protected KeyWrapAlgorithm(int oidTag,
                               java.lang.String name,
                               java.lang.Class[] paramClasses,
                               boolean padded,
                               int blockSize)

Method Detail

### fromString

    public static KeyWrapAlgorithm fromString(java.lang.String name)
                                       throws java.security.NoSuchAlgorithmException

  Throws:
    `java.security.NoSuchAlgorithmException`

### isPadded

    public boolean isPadded()

### getBlockSize

    public int getBlockSize()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD